package org.apache.bcel.generic;

import org.apache.bcel.classfile.ConstantCP;
import org.apache.bcel.classfile.ConstantNameAndType;
import org.apache.bcel.classfile.ConstantPool;

/* loaded from: org_apache_bcel_generic.jar:org/apache/bcel/generic/NameSignatureInstruction.class */
public abstract class NameSignatureInstruction extends CPInstruction {
    public NameSignatureInstruction() {
    }

    public NameSignatureInstruction(short opcode, int index) {
        super(opcode, index);
    }

    public String getName(ConstantPoolGen cpg) {
        ConstantPool cp = cpg.getConstantPool();
        ConstantNameAndType cnat = getNameAndType(cpg);
        return cp.getConstant(cnat.getNameIndex()).getBytes();
    }

    public ConstantNameAndType getNameAndType(ConstantPoolGen cpg) {
        ConstantPool cp = cpg.getConstantPool();
        ConstantCP cmr = cp.getConstant(super.getIndex());
        return cp.getConstant(cmr.getNameAndTypeIndex());
    }

    public String getSignature(ConstantPoolGen cpg) {
        ConstantPool cp = cpg.getConstantPool();
        ConstantNameAndType cnat = getNameAndType(cpg);
        return cp.getConstant(cnat.getSignatureIndex()).getBytes();
    }
}
